Skip to main content
POST
Send email invitations
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.

Headers

X-Api-Key
string
default:your-api-key
required

Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.

Path Parameters

form_id
string
required

Unique ID of the form. Refer to Getting the Form ID for detailed instructions.

Body

application/json
emails
string<email>[]
required

Email addresses to invite. Repeated addresses are sent once. If any address is not valid, nothing is sent.

Example:
email_subject
string

Subject of the email. Defaults to "Please fill out the

form".

Example:

"Please share your feedback"

email_body
string

Body of the email in HTML. Defaults to a short request to fill out the form.

Example:

"<p>Please take a few minutes to share your feedback.</p>"

start_survey_button_text
string

Text of the button in the email. Defaults to "Get started".

Example:

"Get started"

reply_to_email
string<email>

Email address that receives replies to the invitation.

Example:

"support@example.com"

send_from_email
string<email>

Email address the invitation is sent from.

Example:

"forms@example.com"

send_at
string<date-time>

Time to send the invitation, in ISO 8601 format. When omitted, the invitation is sent now.

Example:

"2026-11-01T10:00:00Z"

Response

Created - Invitations queued

form_id
string
Example:

"6f1c2a8e-4d1b-4f6e-9a57-2f0f3c1d9b10"

emails
string[]
Example:
send_at
string<date-time>
Example:

"2026-11-01T10:00:00Z"